//值班报备
import request from "@/utils/request";
const api = "/mosty-api/mosty-qwzx";
export function getZbbb(params) {
    return request({
        url: api + '/tbQwZbbb',
        method: 'GET',
        params
    })
}

//新增
export function addZbbb(data) {
    return request({
        url: api + '/tbQwZbbb',
        method: 'POST',
        data
    })
}

//新增 结束报备
export function BbZbbb(data) {
    return request({
        url: api + '/tbQwZbbb/startOrEndBb',
        method: 'POST',
        data
    })
}

//详情
export function getZbbbInfo(id) {
    return request({
        url: api + `/tbQwZbbb/${id}`,
        method: 'GET',
    })
}

// 修改
export function updateZbbb(data) {
    return request({
        url: api + '/tbQwZbbb',
        method: 'put',
        data
    })
}

//删除
export function deletezBbb(id) {
    return request({
        url: api + '/tbQwZbbb/batch?ids=' + id,
        method: 'delete'
    })
}

/**
 * APP获取我当前的值班报备信息
 */
export function getMyBbInfoToday() {
    return request({
        url: api + `/tbQwZbbb/getMyBbInfoToday`,
        method: 'GET',
    })
}

/**
 * APP获取我的值班排班信息
 */
export function getMyZbpbToday() {
    return request({
        url: api + `/tbQwZbpb/getMyZbpbToday`,
        method: 'GET',
    })
}
